mxGraphProperties.GraphType (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.mxgraph.analysis
Enum mxGraphProperties.GraphType

    java.lang.Object
      java.lang.Enum<mxGraphProperties.GraphType>
          com.mxgraph.analysis.mxGraphProperties.GraphType

All Implemented Interfaces:
  Serializable, Comparable<mxGraphProperties.GraphType>

Enclosing class:
  mxGraphProperties

    public static enum mxGraphProperties.GraphType

extends Enum<mxGraphProperties.GraphType>

Enum Constant Summary
`BASIC_TREE`
`BELLMAN_FORD`
`BFS_DIR`
`BFS_UNDIR`
`BIPARTITE`
`COMPLETE`
`COMPLETE_BIPARTITE`
`DFS_DIR`
`DFS_UNDIR`
`DIJKSTRA`
`FLOW`
`FRIENDSHIP_WINDMILL`
`FROM_ADJ_MATRIX`
`FULL_WINDMILL`
`FULLY_CONNECTED`
`GET_ADJ_MATRIX`
`GRID`
`INDEGREE`
`IS_CUT_EDGE`
`IS_CUT_VERTEX`
`KING`
`KNIGHT`
`KNIGHT_TOUR`
`MAKE_TREE_DIRECTED`
`NREGULAR`
`NULL`
`OUTDEGREE`
`PATH`
`PETERSEN`
`RANDOM_CONNECTED`
`RESET_STYLE`
`SIMPLE_RANDOM`
`SIMPLE_RANDOM_TREE`
`STAR`
`TREE`
`WHEEL`

Method Summary
`static mxGraphProperties.GraphType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static mxGraphProperties.GraphType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FULLY_CONNECTED

    public static final mxGraphProperties.GraphType FULLY_CONNECTED

### RANDOM_CONNECTED

    public static final mxGraphProperties.GraphType RANDOM_CONNECTED

### TREE

    public static final mxGraphProperties.GraphType TREE

### FLOW

    public static final mxGraphProperties.GraphType FLOW

### NULL

    public static final mxGraphProperties.GraphType NULL

### COMPLETE

    public static final mxGraphProperties.GraphType COMPLETE

### NREGULAR

    public static final mxGraphProperties.GraphType NREGULAR

### GRID

    public static final mxGraphProperties.GraphType GRID

### BIPARTITE

    public static final mxGraphProperties.GraphType BIPARTITE

### COMPLETE_BIPARTITE

    public static final mxGraphProperties.GraphType COMPLETE_BIPARTITE

### BASIC_TREE

    public static final mxGraphProperties.GraphType BASIC_TREE

### SIMPLE_RANDOM

    public static final mxGraphProperties.GraphType SIMPLE_RANDOM

### BFS_DIR

    public static final mxGraphProperties.GraphType BFS_DIR

### BFS_UNDIR

    public static final mxGraphProperties.GraphType BFS_UNDIR

### DFS_DIR

    public static final mxGraphProperties.GraphType DFS_DIR

### DFS_UNDIR

    public static final mxGraphProperties.GraphType DFS_UNDIR

### DIJKSTRA

    public static final mxGraphProperties.GraphType DIJKSTRA

### MAKE_TREE_DIRECTED

    public static final mxGraphProperties.GraphType MAKE_TREE_DIRECTED

### SIMPLE_RANDOM_TREE

    public static final mxGraphProperties.GraphType SIMPLE_RANDOM_TREE

### KNIGHT_TOUR

    public static final mxGraphProperties.GraphType KNIGHT_TOUR

### KNIGHT

    public static final mxGraphProperties.GraphType KNIGHT

### GET_ADJ_MATRIX

    public static final mxGraphProperties.GraphType GET_ADJ_MATRIX

### FROM_ADJ_MATRIX

    public static final mxGraphProperties.GraphType FROM_ADJ_MATRIX

### PETERSEN

    public static final mxGraphProperties.GraphType PETERSEN

### WHEEL

    public static final mxGraphProperties.GraphType WHEEL

### STAR

    public static final mxGraphProperties.GraphType STAR

### PATH

    public static final mxGraphProperties.GraphType PATH

### FRIENDSHIP_WINDMILL

    public static final mxGraphProperties.GraphType FRIENDSHIP_WINDMILL

### FULL_WINDMILL

    public static final mxGraphProperties.GraphType FULL_WINDMILL

### INDEGREE

    public static final mxGraphProperties.GraphType INDEGREE

### OUTDEGREE

    public static final mxGraphProperties.GraphType OUTDEGREE

### IS_CUT_VERTEX

    public static final mxGraphProperties.GraphType IS_CUT_VERTEX

### IS_CUT_EDGE

    public static final mxGraphProperties.GraphType IS_CUT_EDGE

### RESET_STYLE

    public static final mxGraphProperties.GraphType RESET_STYLE

### KING

    public static final mxGraphProperties.GraphType KING

### BELLMAN_FORD

    public static final mxGraphProperties.GraphType BELLMAN_FORD

Method Detail

### values

    public static mxGraphProperties.GraphType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (mxGraphProperties.GraphType c : mxGraphProperties.GraphType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static mxGraphProperties.GraphType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.